Abstract 

 Implementation and the establishing a Uniform Civil Code (UCC) in India is debatable topic 

from many years because; it must balance the rights of religious freedom with equality and 

secularism principles. This paper examines the multiple difficulties that UCC faces from the 

legal system and society coupled with its important role in establishing gender equality. Under 

Article 14, 15 and 21 of the Constitution the discussion reveals equality standards while 

confronting religious opposition and political unwillingness. The paper explores how landmark 

legal cases enable the judiciary to defend uniformity in the law. The Article concludes with the 

recommendations and the approach of inclusivity which acknowledges multiculturalism while 

maintaining laws that secure fairness and equality. 

 

Key words - Uniform Civil Code (UCC), Secularism, Equality, Religious Freedom, Gender 

Justice. 
1- Introduction 

The Uniform Civil Code (UCC) is the codification of a special set of secular laws that replace 

personal laws based on the scriptures and customs of each major religious community in India 

with a common set governing every citizen. Under Article 44 of the Indian Constitution, UCC 

will ensure the uniformity of law keeping in view the fundamentals of secularism, equality and 

justice.1But, its implementation is not an easy one as there is opposition upon which the state 

should not interfere in religious backgrounds and necessary steps to preserve culture.2 

 

One of the most basic tenets of the Indian Constitution is Secularism which means that state 

does not favor any religion while governing from the streets above. The prevailing system of 

personal laws, which differs among religious communities, leads to legal inconsistencies, and 

frequently reinforces gender disparities. For one, the Constitution contains Articles 14, 15 and 

213 which underline the right to equality and the right to be free from discrimination and stress 

that the same law must apply uniformly to all citizens irrespective of religion. 

 

One of the essential components of UCC is gender justice as the personal laws in different 

communities are patriarchal and deprive women from the rights of marriage, divorce, and 

property. India is suffering from the lack of a common civil code that removes the disparities 

facilitated by law which favor women more when patriarchal norms are followed. One of the 

key elements to dispensing and upholding the constitutional promise of justice is maintaining 

an equitable legal framework4. 

 

This article examines historical development of personal laws, judicial pronouncements in 

favour of UCC and socio-political roadblocks to its adoption. The article further touches upon 

how UCC, depending upon its effectuation, could also promote gender equality and uniformity 

of laws. Through analysis of these factors, the article intends to provide insight in to the 

continuing conversation surrounding legal reform and social justice in India. 

 

                                                             
1 Jain, Rahul, Uniform Civil Code Towards Gender Justice (August 21, 2023). International Journal of Legal 

Developments and Allied Issues, Volume 9, Issue 5, September- October 2023, (05 March 2025, 10:05 A.M.) 

Available at SSRN: https://ssrn.com/abstract=4767156  
2 Ibid  
3 India Const. art. 14,15,21. 
4 Paul, Sandip and Blogs, Neolexvision, Uniform Civil Code: A Step towards attaining Gender Justice (April 30, 

2021). Neolexvision Blogs,(06 March 2025, 11:07 A.M.) https://www.aequivic.in/post/uniform-civil-code-a-

step-towards-attaining-gender-justice  , Available at SSRN: https://ssrn.com/abstract=3836899  
2- Historical Evolution of Personal Laws in India in Relation 

to Uniform Civil Code 

2.1- Pre-Colonial India: Customary and Religious Laws Governing Personal Matters 

Historically, the legal system before colonial rule in India was based on religion. Different 

communities adhered to their religious laws in reference to personal matters such as marriage, 

divorce, inheritance, and adoption. Hindu laws were based on the Vedas, Manusmriti and 

several other Dharmashastras whereas Muslim laws were based on the Quran and the Hadith. 

Religious scholars interpreted these laws, but customary practices mostly dominated the 

landscapes of jurisprudence5. Both Hindu and Muslim rulers permitted their subjects to practice 

their religions, and local priests, qazis, and community elders settled many disputes. 

 

2.2- British Colonial Era: Codification of Hindu and Muslim Personal Laws 

Under British domain, India went through vast changes in the legal system. British 

Interventions were primarily in the form of changes to criminal and commercial laws while 

not interfering with personal laws. In a report from 1840, Lex Loci Report, it was argued that 

uniform laws should be applied in matters of criminal justice but where personal laws were 

concerned, it should remain within the jurisdiction of religion.6 

 

But with the passes of time British started codifying personal laws. The colonial period 

introduced legal reforms, such as the Hindu Widows' Remarriage Act of 1856, the Indian 

Divorce Act of 1869, and the Hindu Marriage Act of 1891. This was also the time of 

introduction of the Shariat Act of 1937, which aimed to bring Muslim personal laws under the 

purview of Islamic law rather than customary practices. The reforms implemented by the 

British gradually promoted the British type of law in Indian law, but also aimed at retaining the 

status of independence in the field of religion in the personal sphere.7 

 

 

 

                                                             
5 Choudhary, Richa, Uniform Civil Code (July 12, 2020).  (09 March 2025, 10:30) Available at SSRN: 

https://ssrn.com/abstract=3649628  or http://dx.doi.org/10.2139/ssrn.3649628  
6 Singh, Chanchal Kr and Kumar, Mritunjay, The Uniform Civil Code Debate in India: Conceptual Predicaments, 

Historical Legitimacy, and Challenges to Pluralism (January 01, 2022). Chanchal Kumar Singh & Mritunjay 

Kumar, The Uniform Civil Code Debate in India: Conceptual Predicaments, Historical Legitimacy, and 

Challenges to Pluralism V SML. L. REV. 12 (2022)., (09 March 202512:10 P.M. ) Available at SSRN: 

https://ssrn.com/abstract=4948897  or http://dx.doi.org/10.2139/ssrn.4948897 
7 Ibid  
2.3- Post-Independence Debates: 

a- Constituent Assembly Discussions on UCC 

Discussions surrounding the Uniform Civil Code became a highly controversial debate in the 

history of the Constituent Assembly of India.  The main architect of the Indian Constitution 

Dr.B.R. Ambedkar maintained solid support for adopting the Uniform Civil Code because he 

recognized it as a fundamental requirement for gender justice along with national unity and 

social advancement. According to him multiple religious-based personal laws generate legal 

inconsistencies which contradict constitutional equality provisions8. 

 

Throughout the debate Ambedkar encountered substantial resistance against his UCC stance 

which came chiefly from Assembly members and religious leaders who opposed his ideas. 

Members who were part of the Muslim community expressed concerns that establishing a UCC 

would both jeopardize religious freedom and risk damaging the cultural traditions of religious 

minorities9. The supporters of personal laws believed their beliefs required these distinctive 

religious laws so they thought state efforts to establish a unified legal system exceeded proper 

state power10. 

 

During the UCC discussion Naziruddin Ahmad spoke strongly against immediate UCC 

adoption because he saw implementing uniform laws as likely to produce social tensions in the 

nation. He advocated that incremental community-based reforms should replace the state-

establishing nation-wide legal standards through legislation11. Religious laws form integral 

parts of both private affairs and community practices so any government intervention would 

undermine religious independence according to Mohammad Ismail Sahib and Pocker Sahib 

Bahadur.12 

 

K.M. Munshi along with Alladi Krishnaswamy Iyer supports Ambedkar to advocate for his 

progressive standpoint13. The speakers highlighted that national unification of criminal and 

civil law systems already existed but personal law fragmentation still preserved gender 

                                                             
8 Constituent Assembly Debates (Proceedings), Volume VII, Tuesday 23rd Nov, 1948. 
9 P, Ramji Kumar, A Dream for Uniform Civil Code in 75 Years of Independent India with Special Reference to 

its Implementation Procedure Propounded by Founding Fathers in the Constituent Assembly: An Analysis 

(November 25, 2022).( 11 March 2025, 10;30 A.M.) Available at SSRN: https://ssrn.com/abstract=4649269  or 

http://dx.doi.org/10.2139/ssrn.4649269  
10 ibid 
11 Constituent Assembly Debates (Proceedings), Volume VII, Tuesday 23rd Nov, 1948. 
12 ibid 
13 Ibid  
discrimination and numerous social disadvantages.Munshi believed that Uniform Civil Code 

would defend the constitutional principle of secularism which requires the state to create laws 

without religious interference.14 

 

b- Inclusion of Article 44 in Directive Principles of State Policy 

In light of the prevalent opposition from religious groups and the political sensitivity regarding 

the UCC, the Framers of the Constitution placed the provision under the Directive Principles 

of State Policy (DPSP) instead of under the Fundamental Rights making it a non-justiciable 

right. So, Article 4415 was incorporated in part IV of the Constitution and it read as "The State 

shall endeavour to secure for the citizen a uniform civil code through-out the territory of India” 

The framers of the Constitution expected that the Indian state would slowly strive to implement 

a common civil code as per the aspirations and beliefs of all religious communities and one 

which would ultimately become a guiding principle for the state. This is an area of compromise, 

between social reform and religious sensitivity. Ambedkar was disappointed with this non-

justiciable declaration of UCC by the Assembly but accepted the political reality of the time. 

 

c- Attempts at Legal Reforms and Resistance from Religious Groups 

Different initiatives have worked to create legal reforms which follow the guidelines of UCC 

throughout the years. The Hindu Code Bills from the 1950s established themselves as major 

reforms that led to legal standardization. These laws especially the Hindu Marriage Act (1955) 

and Hindu Succession Act (1956) along with Hindu Adoptions and Maintenance Act (1956) 

established reforms in Hindu personal law systems to achieve equality between sexes. 

Religious communities remained divided because reforms did not extend to Muslim and 

Christian personal laws.16 

 

The Shah Bano case of 198517 became a major milestone in the ongoing discussion about UCC. 

Under Criminal Procedure Code Section 125 the Supreme Court extended maintenance rights 

to divorced Muslim women for all citizens without religious exception. When Muslim religious 

protesters mobilized opposition to the ruling Muslim Women (Protection of Rights on Divorce) 

Act, 1986 replaced the Supreme Court's verdict through legislation. The incident showed the 

                                                             
14 ibid 
15 India Const .art.44  
16 Sriraam, Dr. Sangeetha, Uniform Civil Code: An Instrument for Gender Justice (February 24, 2020). (12 March 

2025, 1:30 PM,) Available at SSRN: https://ssrn.com/abstract=3590351  or  

http://dx.doi.org/10.2139/ssrn.3590351 
17 Mohd Ahamd Khan Vs Shah bano begum, 1985 ,AIR 1945 
strong opposition of religious groups who disagreed with any touch on their personal laws. 

 

The issue of triple talaq (instant divorce) has become a major topic to debate about UCC. A 

Court issued a decision against triple talaq in 2017 and the Muslim Women (Protection of 

Rights on Marriage) Act made it illegal for men to perform instant divorce in 2019. This 

marked a significant step toward uniformity in personal laws, albeit on a case-by-case basis 

rather than through a comprehensive UCC.18 

 

The implementation of a Uniform Civil Code appears complex because of historical 

developments in personal laws throughout India. The reform of Hindu personal laws has been 

substantial yet Muslim and Christian personal laws have faced minimal adjustment as the 

subject matters both political and religious sensitivities. Laws in India show advancement 

toward uniformity through the series of slow-moving legal steps including triple talaq reform 

and maintenance law updates. The path to complete enactment of a UCC demands the 

resolution of religious and cultural opposition that continues to exist against it. 

 

A nationwide common civil code seems possible because both Goa experienced success with 

implementing their code and Uttarakhand recently also implemented the uniform civil code. 

As India continues to advance the challenge of finding equilibrium between religious freedom 

and legal uniformity will lead to making the common civil code a future reality. 

 

3- Gender Disparities in Personal Laws in India 

3.1- Hindu Personal Laws 

a- Inequality in Marriage (Guardianship and Consent) 

Marriages remained arranged and the bride's consent was not sought due to the importance 

placed on her guardianship in marriage under Hindu personal laws. Although the Hindu 

Marriage Act, 1955 made progress by introducing the requirement of consent, patriarchal 

remnants are still found.  Even within reformed systems, women still have little freedom of 

choice over who they marry, and in many conservative communities, societal pressure is a big 

factor.19 

                                                             
18 Ibid  
19 Paul, Sandip and Blogs, Neolexvision, Uniform Civil Code: A Step towards attaining Gender Justice (April 30, 

2021). Neolexvision Blogs,(13 March 2025, 11:25 A.M.) https://www.aequivic.in/post/uniform-civil-code-a-

step-towards-attaining-gender-justice  , Available at SSRN: https://ssrn.com/abstract=3836899 
b- Property Rights and Coparcenary System (Pre and Post-2005 Amendments) 

Hindu women traditionally have been largely disentitled to inherit property, under the 

Mitakshara based Hindu law. Coparcenary distributes the property only among the male 

members of a joint Hindu family. Women could only expect maintenance or a limited estate, 

which passed to male heirs when women died. Things changed significantly post the Hindu 

Succession (Amendment) Act 200520, which granted equal coparcenary rights to daughters. 

However, even with this legal reform, the reality on the ground is that women find it next to 

impossible to exercise these new rights due to social norms and lack of awareness on the diya 

law, and disputes regarding property inheritance are still rife. 

 

c- Divorce Laws and Maintenance Issue 

Under the provisions of the Hindu Marriage Act of 1955 divorce became possible through 

cruelty desertion and adultery as legal basis21. The burden of proving these grounds lies on the 

Women makes it difficult for them to leave unhappy Marriages.  Although maintenance laws 

exist they do not provide sufficient financial security to divorced women. Under Section 24 of 

the Hindu Marriage Act women are eligible for interim maintenance but they experience 

difficulties when attempting to enforce their rights to receive their financial due. 

 

3.2- Muslim Personal Laws 

a- Polygamy and Triple Talaq (Judicial Reforms and The Muslim Women Act) 

Muslim personal laws traditionally accepted polygamy and allowed a Muslim man to have as 

many as four wives, the same was not true for women, who had no corresponding rights. This 

practice has come under fire for being discriminatory. The Supreme Court deemed triple talaq 

(instant divorce) unconstitutional in 201722, and then the practice was criminalized under the 

Muslim Women (Protection of Rights on Marriage) Act, 2019. Though these judicial and 

legislative reforms have strengthened the rights of women in India, conservative sections are 

not averse to opposing them and gender justice remains elusive due to poor implementation of 

these reforms. 

 

b- Maintenance Rights and the Aftermath of the Shah Bano Case 

In 1985, the Supreme Court in Shah Bano case made a landmark ruling by awarding 

                                                             
20 Section 5, Hindu Succession Act 1956.  
21  Section 13 Hindu Marriage Act 1955 
22  Shyara Bano Vs Union of India 2017,9 SCR,797 
maintenance to a divorced Muslim woman under the provisions of Section 12523 of the 

Criminal Procedure Code which is applicable to all citizens including Muslims. While anti- 

Muslim groups met the judgment for Muslim women with violent backlash, leading the 

enactment of the Muslim Women (Protection of Rights on Divorce) Act, 1986 which had 

guided that Muslim women have a right to maintenance only for the duration of iddat (few 

months post-divorce). While some later decisions have tried to reduce the effects of this law, 

it largely reduced the post-divorce economic protections for women. 

 

c- Inheritance and Unequal Property Rights 

According to Muslim personal law, inheritance is regulated by the Quran, which entitles men 

to twice the share that women get.  The rationale behind this disparity is that men bear more 

financial burdens. But, in today's world, where women also work and contribute to family 

budgets, this system looks archaic and somehow wrong. Women are entitled to inherit, but 

enforcing their rights is difficult in patriarchal families where it is male relatives who have 

power in decision-making.24 

 

3.3- Christian and Parsi Personal Laws 

a- Divorce and Custody Laws 

Christian divorce laws have traditionally been more stringent than for other communities. 

Christian divorce in India was governed by the Indian Divorce Act of 1869 which made it 

almost impossible for women to get divorced. The legislation called for evidence of adultery 

in addition to various other premises like cruelty or desertion. The 2001 amendment eased 

these demands, however the social stigma over divorce remains alive for Christian women. 

Custody laws, too, tend to favor fathers, which puts women at a disadvantage in obtaining 

custody.25 

 

b- Succession and Property Rights Disparities 

Unlike Hindu women and Muslim women, Christian women have better inheritance rights,  as 

per the Indian Succession Act, 1925 which provides for equal shares for sons and daughters26. 

                                                             
23 Section 125 Code of Criminal Procedure 1973 
24 Abugharsa, Azza, Muslim Women’s Inheritance Rights: Between Ordained and Practice (December 25, 2023). 

(16 March 2025 4:00 P.M.) Available at SSRN: https://ssrn.com/abstract=4675357 or 

http://dx.doi.org/10.2139/ssrn.4675357  
25 Puniyani, Riya, Uniform Civil Code and Conflicts of Personal Laws (July 4, 2020). ( 17 March 2025 12;30 

PM)Available at SSRN: https://ssrn.com/abstract=3643457 or http://dx.doi.org/10.2139/ssrn.3643457 
26  Ibid  
In practice, however, male family members often seek to control family wealth. Apart from 

men, even women are not spared; particularly if they get married to people from different 

faiths. Under the erstwhile law, a Parsi woman marrying outside the community forfeits some 

inheritance rights she has, whereas, a Parsi man continues to live by the confident assertion 

that "a Parsi man can stand to marry anyone and continue to inherit".27 

 

3.4- Tribal and Customary Laws 

a- Gender Inequality in Property and Marital Rights 

Personal laws related to marriage, divorce, and inheritance for many tribal communities in 

India is governed by customary laws, which tend to be more discriminatory against women 

than mainstream personal laws. Some tribal societies not allow from women to inherit 

ancestral property. Patriarchal traditions also dictate marriage laws that actually make it 

difficult or impossible for women to leave or obtain a divorce, or to re-marry. Traditional 

practices like bride price, which involves a groom giving a certain amount of money or goods 

to the bride's family, also promote gender inequity. 

 

b- Judicial Interpretation on Tribal Women's Rights 

Indian judiciary has played an important role to bring the change ingender disparities in tribal 

laws.  In the case of Madhu Kishwar v. State of Bihar28, the Supreme Court recognised that 

tribal women faced structural discrimination in inheritance and urged State legislature to 

remove gender insensitive provisions. But reforms in tribal personal laws pose a difficult 

problem because of autonomous powers to tribal communities under the Fifth and Sixth 

Schedules of the Constitution. 

 

Personal laws with their inherent gender inequality are still the major obstacle in our way of 

realising gender justice in the country29. Although women's rights have been improved through 

legislative and judicial interceding, the experience of women's rights have not been 

particularly effective due to social and cultural practices. While the need to address these 

disparities is often articulated in the form of a demand for a Uniform Civil Code (UCC), 

progress on the UCC has been slow due to opposition from religious and community leaders. 

                                                             
27 Puniyani, Riya, Uniform Civil Code and Conflicts of Personal Laws (July 4, 2020). ( 17 March 2025 12;30 

PM)Available at SSRN: https://ssrn.com/abstract=3643457 or http://dx.doi.org/10.2139/ssrn.3643457 
28 1996,1 SCR,442 
29 Supra Note 1  
Meaningful reforms in personal laws will require a balanced approach that moves through 

cultural diversity and ensures gender equality. Invitation: Beyond implementing gender-

equitable laws, strengthening women’s legal awareness and enforcing existing laws, and 

challenging the patriarchal customs are the keys to building a just and equal society. 

 

4- UCC as a Tool for Gender Justice 

4.1- Constitutional Mandate for Gender Equality 

The principles of gender equality are enshrined in the Indian Constitution under different 

provisions enabling free citizens to live with dignity, equality, liberty and fraternity especially 

Articles 14, 15 and 2130.  According to Article 1431 of The Constitution of India, “Everyone 

shall be equal before the law and entitled to equal protection of the law”. Article 1532, provides 

anti-discrimination because of religion, race, caste, sex, or place of birth, which secures that no 

one is discriminated against, besides premises of sex or gender. The courts have read the right 

to live with dignity, within the right to life and personal liberty guaranteed under Article 2133 

of the Constitution, which is fundamental to achieving gender justice. These provisions in the 

Constitution require the State to make laws for all the citizens uniformly without 

compromising one gender against the other, thus reinforcing the rationality for introducing 

Uniform Civil Code (UCC) that can do away with gendered inequalities. 

 

4.2- Supreme Court’s Role in Advancing Gender Justice 

Through landmark judgments, the Supreme Court of India has been a vibrant and effective 

proponent of gender justice, creating a constitutional framework that progressively guarantees 

women their rights. 

 

a- Vishaka v State of Rajasthan34   (Sexual Harassment at Workplace) 

The Supreme Court addressed the issue of harassment at the workplace in the Vishaka case 

and laid down elaborate guidelines to ensure the protection of women against sexual 

harassment at the workplace. The case reiterated the need for statutory safeguards for equality 

of the genders and dignified existence, including in all walks of life, and highlighted the need 

for a Uniform Civil Code (UCC) which will provide uniform legal protection to all women 

                                                             
30 India Const. art. 14,15,21. 
31 India Const.art.14 
32 India Const,art.15 
33 India Const, art 21 
34 1997, 6 SCC 241 
irrespective of personal laws. 

 

b- Shayara Bano v. Union of India35 (Triple Talaq and Women’s Rights) 

It is in this context the case of tripal talaq (talaq-e-biddat) was held to be unconstitutional. This 

practice was against the fundamental rights of the Muslim Women which is guaranteed under 

Article 14 and 21 of the Constitution. It was significant moves in the direction of gender justice 

in personal laws, which can serve as the springboard for UCCto abolish discriminatory 

practices in marriage and divorces in all religions. 

 

Joseph Shine v. Union of India36(Adultery now no longer a crime) 

In this case SC quashed Section 497 of the IPC, which punished adultery and only men as 

perpetrators, by treating women as mere victims. The law had no meaningful scope today in a 

modern society and was founded upon the archaic notion of patriarchy, which offended against 

gender equality, ruled the Court. Therefore, this judgment reiterates the need for non-

discriminating laws across the gender spectrum, thereby reinforcing the claim for UCC as a 

tool for gender justice. 

 

4.3- Impact of UCC on Eliminating Gender Discrimination 

A Uniform Civil Code has the potential to remove gender biases entrenched in personal laws 

by ensuring equal rights for men and women in various aspects of personal and family life. 

 

a- Equal Rights in Marriage and Divorce 

The personal laws on marriage and divorce differ from one religious community to another 

but are generally disadvantageous to women. Hindu law, for instance, might require 

monogamy today, but historical Muslim law permitted men to have multiple spouses37. 

Likewise, divorce for Hindu and Christian women can only happen on particular grounds, 

while divorce for Muslim women historically has more than a couple of obstacles in getting a 

just divorce. Implementation of UCC would provide a uniform civil law that guarantees equal 

rights and responsibilities within marriage and divorce, and shield women from unilateral 

divorce and polygamy. 
b- Property and Inheritance Equality 

Personal laws have historically favoured men when it comes to inheritance matters. Only with 

a remedial legislation called the Hindu Succession (Amendment) Act in 2005 were women 

formally recognized as coparceners — but this was on paper only, as the ground situation varied 

widely. Under Muslim inheritance law, women inherit only half what men inherit. Both 

Christian and Parsi inheritance laws have also been gender-biased. A UCC ensures equal rights 

to property and inheritance laws to women irrespective of religion.38 

 

c- Uniform Adoption and Guardianship Rights 

 Different personal laws maintain gender discrimination in laws regarding both adoption and 

guardianship. Current Hindu regulations restrict natural guardianship rights to men before 

decisions in Gita Hariharan v. Reserve Bank of India39 sought to change this tradition.  In this 

case the Supreme Court held that mother may serve as the natural guardian, underscoring the 

child's wellbeing as crucial. 

 

 Under Muslim personal laws the practice of full adoption rights remains unrecognized which 

prevents Muslim women from adopting children. The implementation of a UCC would create 

a standardized adoption system which provides equal child care rights to both male and female 

guardians. 

 

India requires the enactment of a Uniform Civil Code to establish complete gender equality. 

The Constitutional guarantee of gender equality remains unfulfilled because different personal 

law systems throughout India still maintain legal inequalities which harm women. Through 

time the Supreme Court has made key rulings which established the necessity of gender-

equitable laws while UCC stands as the final solution for achieving fair treatment in all personal 

law aspects. Personal laws that unify according to UCC will function as an effective instrument 

for gender equality which grants women across different communities the necessary power to 

create an egalitarian societal framework. 
5- Judicial Interpretation and Landmark Cases on UCC 

a- Shah Bano Case40 (1985): Maintenance Rights and Political Repercussions 

It was a landmark judgment demanding Uniform Civil Code (UCC). Most prominently, the 

case that represents this is Shah Bano case where a 73-year-old Muslim woman has been 

divorced by her husband through triple talaq and her husband refuses to pay her any 

maintenance (after the iddat period of three months post-divorce.) A simless law, applicable 

to all citizens of the country irrespective of their religion, runs under it, and she approached 

the Supreme Court claiming for maintenance under the CrPC. The court ruled in her favour 

this time, noting that Muslim women, like women of other faiths, basing on Islam, had the right 

to maintenance (CrPC) beyond the iddat period. 

 

Controversy erupted throughout the country over the implementation of UCC following this 

verdict. Progressive voices hailed it as a step toward greater gender justice but conservative 

Muslim groups described it as an interference in private religious laws. The political fallout 

was huge—the state was under pressure from different fronts of religionists to ensure that this 

mischief was undone and introduced The Muslim Women (Protection of Rights on Divorce) 

Act 1986, which was an almost complete nullification of the way that judgement and put a cap 

on the rights of Muslim women to maintenance. It reiterated the anti-change ethos around 

personal laws and showed how the political process conditions judicial progress on gender 

justice. 

 

b- Sarla Mudgal Case (1995)41: Bigamy and the Need for UCC 

 This case was concerned with bigamy and the abuse of religious conversion as a tool to 

sidestep personal laws. In this case Hindu man converted to Islam for another marriage without 

divorcing his first wife. His first wife, Sarla Mudgal, has challenged this act, asserting that the 

conversion is being used as a way to evade a charge of bigamy, which is an offence under 

Hindu personal law. 

 

The Supreme Court stated that a marriage cannot be dissolved simply by converting to another 

religion and that the practice amounted to bigamy under including Section 494 of the Indian 

Penal Code. Judgment noted discrepancies in personal laws and that loopholes in legal 
provisions gave scope for misuse of personal laws for the benefit of few individuals. The Court 

robustly called for a UCC, maintaining that a uniform law related to marriage and divorce was 

the only way to bring about justice and save individuals from the exploitation behind the mask 

of religious freedom. 

 

c- Danial Latifi Case42: Protection of Muslim Women Post-Divorce 

 Danial Latifi was a landmark judgment to dilute the effect of the Muslims Women (Protection 

of Rights on Divorce) Act, 1986 passed as retaliation to the Shah Bano judgment. The 

legislation limited the right of Muslim women to receive maintenance beyond the iddat period 

concern over the financial security of Muslim women after divorce. 

 

Senior advocate Danial Latifi, appearing for a petitioner, challenged the Act on the ground that 

it was unconstitutional in violation of the fundamental rights in the Constitution. The SC 

maintained the Act but noted that it should not render Muslim women without funds. Not only 

was the husband legally bound to ensure that his divorced wife was maintained during the iddat 

period, but the Court also stated that the same provision extended to future needs, to ensure 

appropriate support. There was an attempt to strike a balance between maintaining the sanctity 

of religious laws and the need for gender justice, revealing the medium to long-term role that 

the judiciary can potentially play in advancing reforms within the existing personal law 

structure. 

 

d- John Vallamattom Case43 : Religious Bias in Succession Laws 

The John Vallamattom case highlighted the notion of religious bias in laws governing property 

inheritance. John Vallamattom, a Christian priest, challenged the provision of Section 118 of 

the Indian Succession Act, 1925, that he said imposed restrictions on Christians from 

disposing of property by way of will. Under the law, Christians could not bequeath property 

for religious or charitable purposes without seeking government approval, a restriction not 

placed on Hindus, Muslims, or Parsis. 

 

The Supreme Court held otherwise and struck down this provision as unconstitutional, as 

being against Article 14, which provides for equality before law. In fact, it asserted that 
personal laws should not be religion-based and that a UCC would facilitate this process 

concerning inheritance and succession laws. The idea of a set of personal laws being a 

safeguard for the constitutional principles of equality and non-discrimination was also 

reinforced in this case. 

 

The recent case of Anoop Baranwal vs. Union of India44, a Public Interest Litigation (PIL) 

was filed and a scrutiny was done on certain aspects of a case related to the creation of a 

committee for the upcoming implementation of a Uniform Civil Code (UCC) by the 

government of Gujrat and the government of Uttarakhand. The walk petition argued that the 

constitution does not grant states powers to form such committees. 

 

The PIL was dismissed by a bench consisting of Chief Justice D.Y. Chandrachud and Justice 

P.S. Narasimha, as it pointed out that the constitution of these committees was within the 

states' prerogative. According to article 162 of the Constitution, this defines the extent of 

executive power of states, to hold that constituent power to form such committees exists with 

the states. The court further reaffirmed the state actions by emphasizing Entry 5 of the Seventh 

Schedule, which relates to the subjects under the executive authority of the states, including 

marriage. 

 

The Apex Court indirectly acknowledged the authority of state governments in studying and 

also adopting UCCs by still exercising the power of the State to form committees on UCC. 

This position is in harmony with the larger constitutional scheme to secure uniformity in civil 

law across the country as envisaged under Article 44 of the Directive Principles of State 

Policy. Although the Court did not directly endorse the UCC, the judgment has been beneficial 

for efforts to examine and implement such legislation, in the interest of national integration and 

gender justice. 

 

Judiciary has played a crucial role in point out the necessity of a Uniform Civil Code through 

many landmark cases, all of which have showcased the failings and bigoted nature of those 

personal laws. Judgments such as Shah Bano and Danial Latifi did seek to provide greater 

protection for women in the wake of divorce, but Sarla Mudgal revealed the perversion of the 

law by showing how men were using conversion to escape their obligations. Likewise John 
Vallamattom pointed out how succession laws are unfair to Christians. But even these judicial 

interventions have failed to political resistance and religious sensitives for not implementation 

of UCC. None the less, these are still landmark cases in Indian legal history, where the Indian 

judiciary is paving the way for gender justice and equality before law. 

 

6- Challenges in Implementing UCC 

6.1- Religious and Cultural Resistance 

 Religious and cultural opposition represents one of the major obstacles when attempting to 

establish a Uniform Civil Code (UCC). India maintains diverse social structure because 

numerous religious communities throughout the nation enforce separate laws for marriage 

inheritance adoption and divorce procedures. Numerous cultural groups oppose the adoption 

of a single civil code since they suspect it will reduce their traditional practices which might 

eventually lead to loss of their heritage identity. Religious entities such as Muslim groups along 

with Christian and Sikh organizations consistently express views that UCC will challenge their 

spiritual laws which threaten their traditional religious practices.45 

 

The common misunderstanding regarding UCC is that its purpose consists of Hindu law 

enforcement upon other religious groups. The false assumption regarding UCC has led 

different religious minorities to oppose the law while missing its purpose as an equality and 

justice instrument. The UCC advocates assert that the target of their proposals does not include 

any particular religion but instead stands for an equal and impartial legal system for all 

regardless of religious affiliation. The accomplishment of UCC requires immediate action to 

overcome skepticisms and its intended purposes need comprehensive explanations46. 

 

6.2- Political and Legislative Challenges 

The lack of consensus on the issue with be in the Indian political milieu of the day that enables 

differentiation between party’s vis a vis the enactment of the Uniform Civil Code. However, 

UCC policy divides the political sides because it reflects the support base of each side on this 

issue. Political organizations divided remain on support for UCC but the different group’s 

opposition to it protects its voter base. Such lack of political consensus over UCC has led to 
endless delays in the legislative process for establishing a uniform civil code system47. 

 

Lawmakers are hesitant to proceed with UCC because they are afraid fundamentalist religions 

and certain voting blocs would get upset over requiring their beliefs. Also, their use of 

legislation to deal with UCC could be politically unstable and have adverse electoral effects 

due to different attitudes towards this matter by the public. Despite progress on the UCC over 

multiple governments, administrations have shunned decisive advances because they risk 

losing support from other key population segments©48. It is unimplemented through decades 

because of the resistance of the policymakers to move on this issue. 

 

6.3- Social and Practical Hurdles 

There is social normative tradition and patriarchal system is the main hindrances factors for 

not implement UCC. In many communities, these personal laws discriminate against women, 

especially in terms of inheritance, marriage and divorce. Without a change in patriarchal 

thinking, laws will never translate into real gender equality because changing the legal 

framework is not enough for a person to change their opinion about gender roles. A lot of 

individuals including families are loyal to their traditional cultural laws which oppose a 

transformation that puts their very fundamental values at risk49. 

 

The largest challenge is that there is not enough awareness and acceptability of the UCC in the 

communities. Most people are unaware of the benefits of UCC, while mistakenly believing 

that this law is an invasion of personal privacy. UCC will succeed only with institutional 

awareness campaigns, with teaching people what it stands for and where it has gone wrong, 

how they are indeed delivering justice for all. Public support is vital for the success of law 

reforms oriented to achieve their objectives. 

 

6.4- Legal Complexity of Merging Diverse Personal Laws 

Due to the different personal laws of communities, the implementation of UCC faces 

challenges in creating a single framework which is quite complex legally. Each social group 

has its own ancient traditional legal code that is not like others. To avoid a specific section of 
the community being treated discriminately or being marginalised, the merging of the various 

personal laws into a single condition to govern joint undertakings requires extensive correlation 

and the resulting disputable thoughts expect a larger conversation50. 

 

The great challenge is in ensuring that UCC runs without discrimination for any community. 

A legal structure that offers undue advantages to one community over another can potentially 

lead to continued disputes in society and create tensions in the country,” he added. The central 

challenge lies in how to approach drafting a UCC because it must respect religious traditions 

while also upholding fundamental equality and fairness principles. It is here that legal 

professionals and scholars and policymakers need to work together in constructing a balanced 

code that goes hand in hand with constitutional values and to deal with the multi-traditions in 

India. 

 

These include the challenge of its resistance from religion, political delays and corresponding 

social barriers and complex legal procedures which can be seen in the case of India when first 

introduced in the country during this period of history. Breaking down barriers to equality, 

however, remains crucial to the attainment of personal laws justice. A well-functioning UCC 

envisioned on gender rights and diversity will help India in creating fair legal institutions. A 

future UCC will necessarily need to be supported by dialogue between diverse interest groups 

and awareness campaigns along with incremental naked legal changes. 

 

7- Recommendations for Implementing UCC 

7.1- Fostering Religious and Cultural Dialogue 

The government must come to dialogue with each and every community, to break down the 

resistance, mainly among religious and cultural groups. A consultative approach founded on 

mutual understanding that respects religious sentiments can erase the fear of the loss of identity 

and highlight the merits of UCC. By encouraging religious scholars, legal experts, and leaders 

of civil society to contribute to the discussion, we can create a more inclusive and acceptable 

framework for the implementation of the UCC. 
It needs a public awareness campaign to clarify the misconception that UCC is an anti-

minority policy. Instead of religious imposition, the focus should be on equality, justice and 

gender rights regarding UCC.A well-structured outreach program through media, community 

engagement, and education can help build acceptance for a uniform civil framework. 

 

For achieving acceptance from religious and cultural groups the government needs to 

participate in sincere discussions with representatives who belong to these communities. 

Implementation of UCC benefits combined with respect for religious beliefs will help religious 

communities accept UCC through collaborative discussions. Religious scholars, legal experts 

and civil society leaders accepting forum participation will establish a broader cooperative 

framework for executing UCC programs. 

 

 Public education initiatives to explain exactly how the uniform civil code does not work 

against minority groups.  Promoting equality and justice together with gender rights takes 

precedence above viewing UCC as religious domination. The creation of an outreach program 

using media outreach along with educational programs and local community awareness 

initiatives will help people accept a single civil code framework. 

 

7.2- Political and Legislative Willpower 

 For the purpose to implement UCC, supportive political processes (and political consensus) 

are needed. The way forward is a bipartisan approach where parties work together to frame 

policy on the basis of constitutional values instead of electoral considerations. The government 

should set up an independent committee of experts to study global best practices and suggest 

how to slowly digress into one. 

 

Lawmakers need to allow introduction of the UCC on a step-by-step basis, to allow 

communities some adaptation period. Implementing pilot programs in specific states or 

working with voluntary adoption models would be an effective step before national mandates. 

The views expressed here are those of the author and do not represent the stand of this 

publication. Parliament must also ensure that discussions on UCC restrict themselves to the 

legal domain of equality and not so much of religious sensitivities 

 

7.3- Changing Societal Attitudes and Increasing Awareness 

In order to make UCC a success we need to start addressing the deep rooted patriarchal norms. 
Educational institutions, non-governmental organizations, and women organizations have to 

take the helm in bolstering gender justice. De-centralised legal literacy campaign can be 

started on a very grass-root-level to help people know about their basic rights and also to make 

the people aware of the advantages of a single legal system. 

 

These should include community-based mother-tongue programmes that allow open 

discussions with women about gender equality and personal laws. Workshops, legal aid, and 

using local influencers can help speed up the societal acceptance of the UCC. 

 

7.4- Legal and Structural Reforms 

A thorough legal examination will help UCC reach harmony between different personal laws 

without compromising fairness. The legal documentation needs to protect traditional cultural 

elements but remove gender discrimination elements. A panel of legal experts including 

constitutional scholars judges and community representatives needs to observe the transition 

period to stop any group from facing marginalization. 

 

The development of an independent regulatory organization should check implementation 

progress and receive complaints when the transition occurs. In addition to hearing challenges 

related to disputes over differences in code interpretation, the body will serve to uphold 

inclusive processes that lead to a fair transition. 

 

It must be ensured that UCC is drafted in accordance with principles of multiculturalism and 

constitutional principles. To summarize, only via discussions and gradual changes in the 

legislation and arrangements will a Uniform Civil Code succeed in implementation in the 

country and eventually be a source for equality and national harmony and legal justice. This 

mission will take the effort of multiple government bodies, civil society institutions and faith 

groups working together. 

 

8- Conclusion 

Uniform Civil Code (UCC) is crucial for building a just legal system; it ensures equal 

treatment is meted out to every citizen of India, regardless of their beliefs and religious 

communities they belong to. Currently, various faith-based groups adhere to their own 

personal law system that can be highly discriminatory, and disproportionately affect women. 
We need to plan definitive bicycle ride based on UCC which can remove all such 

discriminations and same laws are applicable for every citizen. 

 

But implementing the UCC has not been smooth. But many fear it will rob them of their 

cultural identity or disproportionately target minorities. Progress has also been hampered by 

religious beliefs, political considerations and ingrained traditions. Add all this with the fact that 

most people do not fully understand their legal rights, it gets harder to accept modes of changes. 

 

A phased approach is necessary to ensure the smooth working of the UCC. Involving spiritual 

and community leaders, reaching the public through awareness programs, and implementing 

reforms step by step is a better way for people to learn and accept the change. Gender justice 

has also made inroads into the courts through landmark judgments which have paved the way 

for progressive laws. 

 

But finally, UCC can become successful if it respects both the ethos of the Constitution and 

the diversity of Indian culture. India needs to build and follow a fairer system that protects 

each and every citizen of the country. 
